> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/option/api-option-text.md).

# /api/option/text

## PATCH /api/option/text

> Edit text for a given join option

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/option/text"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_option_text":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["optionid","text"]}}},"paths":{"/api/option/text":{"patch":{"description":"Edit text for a given join option","tags":["/api/option/text"],"parameters":[{"name":"optionid","in":"query","schema":{"type":"integer"},"required":true},{"name":"text","in":"query","schema":{},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_option_text"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_option_text"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_option_text"}}}}}}}}}
```
